Забыли пароль?
Запросите новый здесь.

Автор темы: jikaka
ID темы: 2886
Информация:
Тема содержит 19 сообщения, была просмотрена 12484 раз.  Имеются прикрепленные файлы.
Просмотр темы
PHP-Fusion Russia » База аддонов » Другое
 Распечатать тему
PHP-Fusion v9.0
jikaka
Последняя версия системы управления от 27 апреля 2017 года.

rusfusion.ru/infusions/moddb/img/view-mod.gif
 
Web
Alipapa
Планируется ли поддержка php 7-й версии, не слышно?
 
Web
spmin
И вдогонку - и с PHP 7 не работает... Что и где поправить, может кто уже делал?
9-ка тоже не работает (не ставится) с PHP 7..
 
Polarfox
Причины-ошибки? Или просто не работает?
Всегда делайте backup перед изменениями | Указывайте свою версию в подписи/профиле.
Ежели кто забанен за спам, но не считает себя ботом: можете сообщить мне об этом, все будет хорошо.

PolarLab - вход для подопытных
 
Web
spmin
При установке выходит - ошибка с базой..
При переносе на сервер с PHP 7 - при заходе на главную - ошибка с базой..
Не очень спец, неужели никто не сталкивался?
Или давно забыли эту хорошую CMS..
 
Alipapa
Polarfox написал:

Причины-ошибки? Или просто не работает?
Там все надо на MySQLi переделывать, 7-й пхп не поддерживает функции mysql_* - это главная засада

Я попытался, но не хватило терпения, откатил версию. Но решать вскоре все равно придется.
Изменил(а) Alipapa, 12.07.2017 16:23
 
Web
spmin
Странно что официалы молчат, или давно забили. Писал - как в черную дыру..
 
Polarfox
печаль, может там быстро это поменяют потом.
Всегда делайте backup перед изменениями | Указывайте свою версию в подписи/профиле.
Ежели кто забанен за спам, но не считает себя ботом: можете сообщить мне об этом, все будет хорошо.

PolarLab - вход для подопытных
 
Web
ovas
spmin написал:

И вдогонку - и с PHP 7 не работает... Что и где поправить, может кто уже делал?
9-ка тоже не работает (не ставится) с PHP 7..

Всё работает. Просто надо подключать расширения PHP на хостингах, на одних они по умолчанию включены, на других надо ручками их включать.

картинка

Изменил(а) Polarfox, 14.07.2017 19:02
 
Web
Alipapa
ovas, А можно конкретно, какое расширение на php7 нужно включить, чтобы он поддерживал старые функции обращения к БД? Я на картинке не вижу ничего такого.
 
Web
ovas
На разных хостингах по разному, на hostinger.ru ничего не включал, на hostiman.ru и unihost.kz вручную подключал. На unihost.kz у меня такая поляна с расширениями:
ovas присоединено следующее:изображение:
6.png

Изменил(а) ovas, 14.07.2017 08:16
 
Web
spmin
Я имел в виду больше разработку, на локальном сервере. Так вот с LAMP - PHP7 (раньше он был c PHP5) - не работает.
И почти все Линукс при установке LAMP через терминал устанавливают именно 7-ку. Там и в ядрах новых что-то изменено,
именно под 7-ую PHP.
Сейчас приходится сидеть на старом (13-ом) Линуксе-Минт.
Денвер новый не пробовал (и не нравился он мне всегда), т.к. с виндой давно завязал.
Изменил(а) spmin, 14.07.2017 09:26
 
Alipapa
ovas написал:

На разных хостингах по разному, на hostinger.ru ничего не включал, на hostiman.ru и unihost.kz вручную подключал. На unihost.kz у меня такая поляна с расширениями:
Я правильно понял, что сайт на php-fusion, версия php на сервере седьмая, никаких латок-заплаток - библиотек совместимости на сервере не мудрилось? Можно phpinfo посмотреть? А то что-то ни у кого 7-й пхп с mysql_*() не работает, а тут прямо на всех хостингах на ура. Хотя может быть хостеры сами какие-то костыли ставить приспособились, но все-таки, мне кажется, надо будет на mysqli переделывать движок.
Изменил(а) Alipapa, 14.07.2017 18:49
 
Web
ovas
Alipapa написал:

ovas написал:

На разных хостингах по разному, на hostinger.ru ничего не включал, на hostiman.ru и unihost.kz вручную подключал. На unihost.kz у меня такая поляна с расширениями:
Я правильно понял, что сайт на php-fusion, версия php на сервере седьмая, никаких латок-заплаток - библиотек совместимости на сервере не мудрилось? Можно phpinfo посмотреть? А то что-то ни у кого 7-й пхп с mysql_*() не работает, а тут прямо на всех хостингах на ура. Хотя может быть хостеры сами какие-то костыли ставить приспособились, но все-таки, мне кажется, надо будет на mysqli переделывать движок.

Как бы такая у меня PHP
ovas присоединено следующее:изображение:
2_5.png

x1
 
Web
Alipapa
Спасибо. Кажется, в 9-й версии что-то есть, похоже, она поддерживает mySQLi, я-то php-fusion 7.02 пытался с php7 подружить, а девятку не пробовал. Ну что сказать - вот весомая причина обновлять движок. Что касается установки, почему у spmin не получалась, постараюсь на днях попробовать нечто подобное
Изменил(а) Alipapa, 15.07.2017 08:16
 
Web
spmin
У меня на версию РНР7 ни 7-ка, ни 9-ка, ни WP - не ставятся..Ошибка базы MySql..
Говорю о локальном сервере Линукса, моего основного. На версию 5.* - всё работает без проблем.
Конечно поправить в самой CMS было-бы здорово. Есть костыли в сети по установке обоих версий локального РНР сервера,
и 7 и 5, с возможностью переключать (терминал), но это не то..
 
ovas
Ещё столкнулся с такой фишкой, что при установке на разных хостингах localhost не везде прокатывает:
на hostinger.ru надо вбивать mysql.hostinger.ru
на unihost.kz srv-2.unihost.kz
а на hostiman.ru надо в установочном файле понижать рекомендуемую версию PHP 5.5.08 до 5.4.16 иначе не встанет.
 
Web
Alipapa
а на hostiman.ru надо в установочном файле понижать рекомендуемую версию PHP 5.5.08 до 5.4.16 иначе не встанет.
Да по пятой вопросов нет.
 
Web
ovas
Alipapa написал:

а на hostiman.ru надо в установочном файле понижать рекомендуемую версию PHP 5.5.08 до 5.4.16 иначе не встанет.
Да по пятой вопросов нет.

На этом хосте тоже 9 не вставала покамесь они не включили поддержку PHP-7, на PHP-7.0.19 сайт работает, а на PHP-7.1.5 уже не запускается.
ovas присоединено следующее:изображение:
1_10.png

 
Web

Поделиться этой темой
Социальные закладки: Vkontakte Odnoklassniki Mail.ru Facebook Google Tweet This
URL:
BBcode:
HTML:

Перейти на форум: